export type ModalType = "createLabel" | "updateLabel" | "updateCategory";

export type CategoryItemType = {
  id: number;
  name: string;
  labels?: { id: number; name: string }[];
};

export type LabelCategoryType = {
  name: string;
  id: number;
};

export type LabelType = {
  name: string;
  id?: number;
  categoryId?: number;
};

export interface LabelTreeProps {
  children?: JSX.Element;
  data: CategoryItemType[];
  /**
   * 编辑标签分类名称
   * @param {string} name 更新后的标签分类名
   * @param {number} id 标签分类id
   */
  onUpdateCategory?: (p: LabelCategoryType) => void;
  /**
   * 编辑标签分类名称
   * @param {string} name 更新后的标签分类名
   * @param {number} categoryId 标签分类id
   */
  onCreateLabel?: (p: LabelType) => void;

  /**
   * 编辑标签名称
   * @param {string} name 更新后的标签名
   * @param {number} id 标签id
   */
  onUpdateLabel?: (p: LabelType) => void;
  /**
   * 删除标签
   * @param {number} id 标签id
   */
  onDeleteLabel?: (p: LabelType) => void;
}
